/* ************************************************************************
*   File: race.c                           Part of The Randorian Legacy   *
*  Usage: Source file for race-specific code                              *
*                                                                         *
*  All original rights reserved. See license.doc for complete information *
*  on CircleMUD's copyrights.                                             *
*                                                                         * 
*  The Randorian Legacy is based on CircleMUD3.0 bpl17.                   * 
*  CircleMUD is based on DikuMUD, Copyright (C) 1990, 1991.               *
*                                                                         * 
*  All mistakes and/or bugs are to be considered the fault of the         *
*  author(s) of The Randorian Legacy and not the developers of CircleMUD  * 
************************************************************************ */

#include "conf.h"
#include "sysdep.h"
#include "structs.h"
#include "interpreter.h"
#include "utils.h"

const char *race_abbrevs[] = {
  "Human",
  "Elf",
  "Dwarf",
  "Centaur",
  "Dragon",
  "\n"
};

const char *pc_race_types[] = {
  "Human",
  "Elf",
  "Dwarf",
  "Centaur",
  "Dragon",
  "\n"
};

/* The menu for choosing a race in interpreter.c: */
const char *race_menu =
"\r\n"
"\r\n"
"\r\n"
" RACE SELECTION:\r\n"
"\r\n"
"Please select a Race:\r\n"
"\r\n"
"[A] Human	(Easy)\r\n"
"[B] Elf		(Intermediate)\r\n"
"[C] Dwarf	(Intermediate)\r\n"
"[D] Centaur	(Difficult)\r\n"
"[E] Dragon	(Hard)\r\n";


/*
 * The code to interpret a race letter (used in interpreter.c when a
 * new character is selecting a race).
 */
 int parse_race(char arg)
{
  arg = LOWER(arg);

  switch (arg) {
  case 'a':
    return RACE_HUMAN;
    break;
  case 'b':
    return RACE_ELF;
    break;
  case 'c':
    return RACE_DWARF;
    break;
  case 'd':
    return RACE_CENTAUR;
    break;
  case 'e':
    return RACE_DRAGON;
    break;
  default:
    return RACE_UNDEFINED;
    break;
  }
}

long find_race_bitvector(char arg)
{
  arg = LOWER(arg);

  switch (arg) {
    case 'a':
      return (1 << 0);
      break;
    case 'b':
      return (1 << 1);
      break;
    case 'c':
      return (1 << 2);
      break;
    case 'd':
      return (1 << 3);
      break;
    case 'e':
      return (1 << 4);
      break;
    default:
      return 0;
      break;
  }
}

